Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export
Class ParametersImpl

    java.lang.Object
      com.jaspersoft.jasperserver.export.ParametersImpl

All Implemented Interfaces:
  Parameters

    public class ParametersImpl

extends java.lang.Object
implements Parameters

Version:
  $Id: ParametersImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ParametersImpl()`

Method Summary
`Parameters` | `addParameter(java.lang.String parameterName)`
`Parameters` | `addParameterValue(java.lang.String parameterName, java.lang.String parameterValue)`
`Parameters` | `addParameterValues(java.lang.String parameterName, java.lang.String[] parameterValues)`
`java.util.Iterator` | `getParameterNames()`
`java.lang.String` | `getParameterValue(java.lang.String parameterName)`
`java.lang.String[]` | `getParameterValues(java.lang.String parameterName)`
`boolean` | `hasParameter(java.lang.String parameterName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersImpl

    public ParametersImpl()

Method Detail

### getParameterNames

    public java.util.Iterator getParameterNames()

  Specified by:
    `getParameterNames` in interface `Parameters`

### hasParameter

    public boolean hasParameter(java.lang.String parameterName)

  Specified by:
    `hasParameter` in interface `Parameters`

### getParameterValue

    public java.lang.String getParameterValue(java.lang.String parameterName)

  Specified by:
    `getParameterValue` in interface `Parameters`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String parameterName)

  Specified by:
    `getParameterValues` in interface `Parameters`

### addParameter

    public Parameters addParameter(java.lang.String parameterName)

  Specified by:
    `addParameter` in interface `Parameters`

### addParameterValue

    public Parameters addParameterValue(java.lang.String parameterName,
                                        java.lang.String parameterValue)

  Specified by:
    `addParameterValue` in interface `Parameters`

### addParameterValues

    public Parameters addParameterValues(java.lang.String parameterName,
                                         java.lang.String[] parameterValues)

  Specified by:
    `addParameterValues` in interface `Parameters`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.